package com.bonus.canteen.core.marketing.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.List;

/** @deprecated */
@Deprecated
@ApiModel("过滤数据权限")
public class MktEffectivePermissionVO {
   @ApiModelProperty("食堂id")
   private Long canteenId;
   @ApiModelProperty("档口或店铺id")
   private Long shopstallId;
   @ApiModelProperty("食堂集合")
   private List<MktEffectiveCanteenPageVO> canteenList;

   public Long getCanteenId() {
      return this.canteenId;
   }

   public Long getShopstallId() {
      return this.shopstallId;
   }

   public List<MktEffectiveCanteenPageVO> getCanteenList() {
      return this.canteenList;
   }

   public void setCanteenId(final Long canteenId) {
      this.canteenId = canteenId;
   }

   public void setShopstallId(final Long shopstallId) {
      this.shopstallId = shopstallId;
   }

   public void setCanteenList(final List<MktEffectiveCanteenPageVO> canteenList) {
      this.canteenList = canteenList;
   }
}
